Issue 50100 - Standardizing symbol editor ("Edit symbols") interface
Summary: Standardizing symbol editor ("Edit symbols") interface
Status: CONFIRMED
Alias: None
Product: Math
Classification: Application
Component: ui (show other issues)
Version: 680m104
Hardware: All All
: P5 (lowest) Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-05-31 09:52 UTC by umr5174
Modified: 2013-02-07 22:35 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description umr5174 2005-05-31 09:52:24 UTC
An "Help" button would be a good idea (easy to implement since F1 provides help).

A very confusing thing is the use of "set" and "subset" in the same window,
while the subset is not a subset of the set. The fact you can decide to call
"phi" a theta, for instance, is also confusing. So I suggest that you
distinguish very well editor features from official nomenclature:

1) Unicode number and official name of both old and new symbols could appear
under the two big symbols (right bottom of the window), and labeled "official
number" and "official name", respectively.

2) It'd be clearer if "Old Symbol" was renamed "User old symbol name",
"Old symbol set" would be renamed "User old symbol set";
"Symbol" would be renamed "User symbol name",
"Symbol set": "User symbol set";
"Subset": "official subset".

3) under "official subset", an "official character name" could appear,
giving the ability to choose from the Unicode subset, or, at least, to see the
name of the selected character. Some characters are very similar, for instance a
Lucida sans greek chi looks like x, an upperlined cyrillic h looks like Planck's
constant symbol, zero looks like O, a cyrillic capital A is exactly like a latin
A and like a capital greek alpha etc. This is why the name is important.

I suggest "Editor old symbol name" and "Editor symbol name" are placed after
"User old symbol set" and "User symbol set" fields respectively, since symbol
list depends on the set.

A bold broken line could delimit, in the character table, the selected subset.

The part of this window aiming at selecting a new character and the Writer's
Special characters window should be identical.
Comment 1 michael.ruess 2005-05-31 10:25:30 UTC
Reassigned to requirements.
Comment 2 umr5174 2005-05-31 13:18:28 UTC
I wrote:
"The part of this window aiming at selecting a new character and the Writer's
Special characters window should be identical.".
"identical" is too strong, let's say "very similar", i.e. identical features
should be placed at the same place. Presently, "Subset" and "Font" fields are
placed above the characters table in Special characters window, below it in
Symbol editor. Unicode numbers are present in Special characters window, not in
Symbol editor.
Comment 3 ace_dent 2008-05-16 00:53:54 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently assigned to 'Requirements' pending review, but
has not been updated within the last 3 years. Please consider re-testing with
one of the latest versions of OOo, as the problem(s) may have already been
addressed. Either use the recent stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html